%define oname   hpricot

Name:       ruby-%{oname}
Version:    0.8.6
Release:    %mkrel 4
Summary:    A swift, liberal HTML parser with a fantastic library
Group:      Development/Ruby
License:    MIT
URL:        http://code.whytheluckystiff.net/hpricot/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
Hpricot is a very flexible HTML parser, based on Tanaka Akira's
HTree and John Resig's JQuery, but with the scanner recoded in C
(using Ragel for scanning.)

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/%{oname}/*.rb

# The Mageia build system doesn't like filenames with percent signs, so we
# are renaming them.
find "$RPM_BUILD_ROOT" -name '*%*' -type f | perl -lne 'my $s = $_; $s =~ tr/%/_/; rename ($_, $s);'

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/*.so

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.md
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/COPYING


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.8.6-4.mga3
+ Revision: 396053
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.6-3.mga3
+ Revision: 381012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.8.6-2.mga3
+ Revision: 312059
- rebuild for new ruby

* Fri Jun 08 2012 shlomif <shlomif> 0.8.6-1.mga3
+ Revision: 257577
- Get rid of percent signs
- SHA1 fixes

  + solbu <solbu>
    - New version
    - Spec cleanup

* Thu Mar 03 2011 shikamaru <shikamaru> 0.8.4-1.mga1
+ Revision: 63436
- new version 0.8.4

* Mon Feb 07 2011 shikamaru <shikamaru> 0.8.3-2.mga1
+ Revision: 48571
- imported package ruby-hpricot

